System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

This service provides a simple interface to set, retrieve, and look up objects with associated keys.

Provides a basic, component site-specific, key-value pair dictionary through a service that a designer can use to store user-defined data.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets the key corresponding to the specified value.

  The associated key, or null if no key exists.

  The value to look up in the dictionary.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets the value corresponding to the specified key.

  The associated value, or null if no value exists.

  The key to look up the value for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Sets the specified key-value pair.

  An object to use as the key to associate the value with. The value to store.